# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Get the status of a Zelle® Disbursement In this tutorial, you learn how to get the status of a *Zelle® *Disbursement*.* ## Before you begin To get the status of a payment, you need the following: - A [registered and fully onboarded Developer Account](/docs/quick-start) on the J.P. Morgan Payments Developer Portal. - An active project that provides you with the credentials to make a request. - A paymentId provided in a [successful response](/docs/treasury/global-payments/capabilities/global-payments-2/zelle-disbursements/how-to/initiate-a-zelle-payment-request#confirm-the-response). ## Send a request Request payloads for the Global Payments API contain optional and required fields. Use the `paymentId` to retrieve *Zelle®* payment information. The following example shows how to send a `GET` request to retrieve the status or full details of a *Zelle® *Disbursement payment that uses an email address. ### Retrieve Push to Wallet payment status To get the status of a payment, send a `GET` request to the `/payments` endpoint with your `paymentId`. The response will be in `SUMMARY` view by default, though you may specify `view=SUMMARY` if preferred. ```curl curl \ --request GET \ --url https://api.payments.jpmorgan.com/payment/v2/payments/{7a20f818-2144-4f76-919a-25d645b608e7 } \ --header 'Accept: application/json' \ --header 'Request-Id: 1a2b3c4d-5e6f-7g8h-9i0j-1121a3m5o6p' ``` The response will include the current status of your Push to Wallet payment: ```json { "paymentId": "7a20f818-2144-4f76-919a-25d645b608e7", "paymentStatus": "PROCESSING", "paymentSubStatus": "PROCESSING_BY_JPM", "statusUpdatedAt": "2025-03-21T15:38:22Z", "requestedExecutionDate": "2024-10-01", "paymentIdentifiers": { "endToEndId": " PfJLyx5XG0jcvejwF " }, "transferType": "CREDIT", "paymentType": "ZELLE" } ``` ### Retrieve Push to Wallet payment details (FULL view) To get the full details of a Push to Wallet payment, send a `GET` request to the same endpoint and specify `view=FULL`. ```curl curl \ --request GET \ --url https://api.payments.jpmorgan.com/payment/v2/payments/{7a20f818-2144-4f76-919a-25d645b608e7?view=FULL } \ --header 'Accept: application/json' \ --header 'Request-Id: 1a2b3c4d-5e6f-7g8h-9i0j-1121a3m5o6p' ``` The response will include all available details for your Push to Wallet payment: ```json { "payments": [ { "requestedExecutionDate": "2024-10-01", "paymentIdentifiers": { "endToEndId": "PfJLyx5XG0jcvejwF" }, "value": { "currency": "USD", "amount": "10" }, "transferType": "CREDIT", "paymentType": "ZELLE", "debtor": { "account": { "accountNumber": "123456789" }, "name": "Alvin Chang" }, "debtorAgent": { "financialInstitutionIds": [ { "id": "CHASUS33", "idType": "BIC" } ] }, "creditor": { "account": { "alternateAccountIdentifiers": [ { "identifier": "Robert.brown@example.com", "idType": "EMAIL" } ] }, "name": "Robert Brown", "postalAddress": { "addressLines": [ "address line1", "address line2", "address line3", "address line4" ], "buildingNumber": "000", "streetName": "creditor street name", "postalCode": "60603", "city": "Creditor City Name", "countrySubdivision": "IL", "country": "US" } }, "remittanceInformation": { "unstructuredInformation": [ { "text": "Payment for catering facilities - INVC009887" } ] }, "paymentStatus": "PROCESSING", "paymentId": "7a20f818-2144-4f76-919a-25d645b608e7", "paymentSubStatus": "PROCESSING_BY_JPM", "statusUpdatedAt": "2025-03-21T15:38:32Z" } ] } ``` ## Related - For more information about Zelle® Disbursement payment parameters, see [Payment parameters](/docs/treasury/global-payments/capabilities/global-payments-2/zelle-disbursements/payment-parameters). - For more information about status responses and error codes supported by the Global Payments API, see [Global Payments 2 status responses and error codes](/api/treasury/global-payments/global-payments-2/error-codes).